import { Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

export const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'tab1',
        loadComponent: () =>
          import('../tab1/tab1.page').then((m) => m.Tab1Page),
      },
      {
        path: 'tab2',
        loadComponent: () =>
          import('../tab2/tab2.page').then((m) => m.Tab2Page),
      },
      {
        path: 'tab3',
        loadComponent: () =>
          import('../tab3/tab3.page').then((m) => m.Tab3Page),
      },
      {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full',
      },
     
    
     
      {
        path: 'AIChat',
        loadComponent: () =>
          import('../page-ai-chat/page-ai-chat.component').then((m) => m.PageAiChatComponent),
      },
      {
        path: 'bmi',
        loadComponent: () =>
          import('../page-bmi/page-bmi.component').then((m) => m.PageBmiComponent),
      },
     
      
      {
        path: 'test',
        loadComponent: () =>
          import('../page-test/page-test.component').then((m) => m.PageBodyFatComponent),
      },  
      {
        path: 'ytb',
        loadComponent: () =>
          import('../page-ytb/page-ytb.component').then((m) => m.PageYtbComponent),
      },

      {
        path: 'news',
        loadComponent: () =>
          import('../page-news/page-news.component').then((m) => m.PageNewsComponent),
      },
      {
        path: 'teach',
        loadComponent: () =>
          import('../page-teach/page-teach.component').then((m) => m.PageteachComponent),
      },
      {
        path: 'skill',
        loadComponent: () =>
          import('../page-skill/page-skill.component').then((m) => m.PageskillComponent),
      },
      {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full',
      },
            {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full',
      },

      

    ],
  },
  {
    path: '',
    redirectTo: '/tabs/tab1',
    pathMatch: 'full',
  },
 
];
